# IntelliPhoto: IntelliToolFloodFill Class Reference

IntelliToolFloodFill Class Reference

The IntelliToolFloodFill class represents a tool to flood FIll a certian area. More...

`#include <IntelliToolFloodFill.h>`

Inheritance diagram for IntelliToolFloodFill:
[legend]
Collaboration diagram for IntelliToolFloodFill:
[legend]

## Public Member Functions

| IntelliToolFloodFill (PaintingArea *Area, IntelliColorPicker *colorPicker)
| A constructor setting the general paintingArea and colorPicker. More...
virtual | ~IntelliToolFloodFill () override
| A Destructor. More...
virtual void | onMouseRightPressed (int x, int y) override
| A function managing the right click pressed of a mouse. Clearing the canvas. More...
virtual void | onMouseRightReleased (int x, int y) override
| A function managing the right click released of a mouse. More...
virtual void | onMouseLeftPressed (int x, int y) override
| A function managing the left click pressed of a mouse. Sets the point to flood fill around and does this. More...
virtual void | onMouseLeftReleased (int x, int y) override
| A function managing the left click released of a mouse. More...
virtual void | onWheelScrolled (int value) override
| A function managing the scroll event. More...
virtual void | onMouseMoved (int x, int y) override
| A function managing the mouse moved event. More...
Public Member Functions inherited from IntelliTool
| IntelliTool (PaintingArea *Area, IntelliColorPicker *colorPicker)
| A constructor setting the general Painting Area and colorPicker. More...
virtual | ~IntelliTool ()=0
| An abstract Destructor. More...

## Additional Inherited Members

Protected Attributes inherited from IntelliTool
PaintingArea * | Area
| A pointer to the general PaintingArea to interact with. More...
IntelliColorPicker * | colorPicker
| A pointer to the IntelliColorPicker of the PaintingArea to interact with, and get the colors. More...
LayerObject * | Active
| A pointer to the underlying active Layer, do not work on this. This is used for data grabbing or previews. More...
LayerObject * | Canvas
| A pointer to the drawing canvas of the tool, work on this. More...
bool | drawing = false
| A flag checking if the user is currently drawing or not. More...

## Detailed Description

The IntelliToolFloodFill class represents a tool to flood FIll a certian area.

Definition at line 10 of file IntelliToolFloodFill.h.

## Constructor & Destructor Documentation

## IntelliToolFloodFill()

IntelliToolFloodFill::IntelliToolFloodFill | ( | PaintingArea * | Area,
|  | IntelliColorPicker * | colorPicker
| ) |  |

A constructor setting the general paintingArea and colorPicker.

Parameters

  Area | - The general paintingArea used by the project.
  colorPicker | - The general colorPicker used by the project.

Definition at line 8 of file IntelliToolFloodFill.cpp.

## ~IntelliToolFloodFill()

IntelliToolFloodFill::~IntelliToolFloodFill | ( |  | ) |

overridevirtual

A Destructor.

Definition at line 12 of file IntelliToolFloodFill.cpp.

## Member Function Documentation

## onMouseLeftPressed()

void IntelliToolFloodFill::onMouseLeftPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click pressed of a mouse. Sets the point to flood fill around and does this.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 24 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

## onMouseLeftReleased()

void IntelliToolFloodFill::onMouseLeftReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the left click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 68 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

## onMouseMoved()

void IntelliToolFloodFill::onMouseMoved | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the mouse moved event.

Parameters

  x | - The x coordinate of the new mouse position.
  y | - The y coordinate of the new mouse position.

Reimplemented from IntelliTool.

Definition at line 77 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

## onMouseRightPressed()

void IntelliToolFloodFill::onMouseRightPressed | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click pressed of a mouse. Clearing the canvas.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 16 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

## onMouseRightReleased()

void IntelliToolFloodFill::onMouseRightReleased | ( | int | x,
|  | int | y
| ) |  |

overridevirtual

A function managing the right click released of a mouse.

Parameters

  x | - The x coordinate relative to the active/canvas layer.
  y | - The y coordinate relative to the active/canvas layer.

Reimplemented from IntelliTool.

Definition at line 20 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

## onWheelScrolled()

void IntelliToolFloodFill::onWheelScrolled | ( | int | value | ) |

overridevirtual

A function managing the scroll event.

Parameters

  value | - The absolute the scroll has changed.

Reimplemented from IntelliTool.

Definition at line 72 of file IntelliToolFloodFill.cpp.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- intelliphoto/src/Tool/IntelliToolFloodFill.h
- intelliphoto/src/Tool/IntelliToolFloodFill.cpp